const n = require("fs").readFileSync(0, "utf8").toString().trim().split("\n");
for(let i=1; i<=Number(n[0]); i++){
    let temp = "";
    [x, s] = n[i].split(" ");
    for(let ii=0; ii<s.length; ii++){
        temp += s[ii].repeat(Number(x));
    }
    console.log(temp);
}
